Subject: Re: mv/rm submodules

From: Jens Lehmann <[email-masked]>
Date: Mon, 09 Dec 2013 18:49:22 +0100

Am 09.12.2013 11:59, schrieb George Papanikolaou:
> I was just playing with the new features of 'git mv' in 1.8.5 and
> realized that both rm
> and mv don't change the .git/config file. Is that on purpuse?

Yes. Only the "path" entry in .gitmodules needs to be updated
when a submodule is moved. Its name stays the same and thus the
.git/config entry automatically applies to the new location.

> Also after mv you need to run 'submodule update' and I think this should be
> documented somewhere.

You're right, this should be mentioned in the mv man page. I'll
prepare a patch for that.

Thanks for your feedback.